wconsd - Bug #19

more than one connection causes wierdness
2008-04-18 15:50 - Hamish

Status: Closed Start date: 2008-04-18
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.3

Description

If the first connection is in the menu and a new connection arrives, it hangs.

If the first connection is talking to a serial port and a new connection arrives, then the first connection is terminated

Associated revisions

Revision aaba0a4c - 2008-04-21 15:33 - Hamish Coleman

Migrate threads to new connection model, allowing multiple connections.
This is the first part of migrating the two threads to use the new
connection table. This change also rips out a lot of the event waiting
system. All the unused variables are going, but | have not yet looked

at removing these events. It still remains to cook the net data for

CL NUL and IAC options. refs #19

History

#1 - 2008-04-18 18:14 - Hamish

- Subject changed from wconsd cannot handle two connections at the same time to more than one connection causes wierdness

#2 - 2008-04-20 23:37 - Hamish
- % Done changed from 0 to 30

There is less weirdness here now, but it is still not actually accepting more than one connection. The framework has been built to support multiple
connections but the existing serial-data-pump logic is still using the old system

#3 - 2008-04-20 23:53 - Hamish

- Target version set to 0.3

#4 - 2008-04-21 15:34 - Hamish
- Status changed from New to Closed

- % Done changed from 30 to 100

Using the new connection model mostly fixes this problem. Any future issues should be considered a regression
